%define upstream_name    Perl6-Junction
%define upstream_version 1.60000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10
Epoch:      1

Summary:    Perl6 style Junction operators in Perl5
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a lightweight module which provides 'Junction' operators, the most
commonly used being any and all.

Inspired by the Perl6 design docs,
http://dev.perl.org/perl6/doc/design/exe/E06.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:1.600.0-10.mga8
+ Revision: 1496450
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1:1.600.0-9.mga7
+ Revision: 1270492
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:1.600.0-8.mga6
+ Revision: 1031953
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:1.600.0-7.mga6
+ Revision: 948424
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1:1.600.0-6.mga5
+ Revision: 787846
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.600.0-5.mga5
+ Revision: 747967
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:1.600.0-4.mga5
+ Revision: 733223
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.600.0-3.mga5
+ Revision: 685948
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 sander85 <sander85> 1:1.600.0-1.mga4
+ Revision: 469385
- update to 1.60000

* Sun Jan 13 2013 umeabot <umeabot> 1:1.500.0-2.mga3
+ Revision: 371752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1:1.500.0-1.mga3
+ Revision: 295183
- damn those buggy upstream version schemes! die! die! die!
- update to 1.50000
- force version update
- update to 1.50000

* Thu Jan 20 2011 jquelin <jquelin> 1.40000-2.mga1
+ Revision: 26850
- mageia rebuild
- imported package perl-Perl6-Junction


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.40000-2mdv2010.0
+ Revision: 430523
- rebuild

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.40000-1mdv2009.0
+ Revision: 270509
- new version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30000-5mdv2009.0
+ Revision: 258225
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30000-4mdv2009.0
+ Revision: 246279
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.30000-2mdv2008.1
+ Revision: 136335
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.30000-2mdv2008.0
+ Revision: 59328
- fix description (thx misc)

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.30000-1mdv2008.0
+ Revision: 59254
- initial release
- Create perl-Perl6-Junction

